## com.gargoylesoftware.htmlunit
Class DownloadedContent.OnTempFile

    java.lang.Object
      com.gargoylesoftware.htmlunit.DownloadedContent.OnFile
          com.gargoylesoftware.htmlunit.DownloadedContent.OnTempFile

All Implemented Interfaces:
  DownloadedContent, java.io.Serializable

Enclosing interface:
  DownloadedContent

    public static class DownloadedContent.OnTempFile

extends DownloadedContent.OnFile

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.gargoylesoftware.htmlunit.DownloadedContent
`DownloadedContent.InMemory, DownloadedContent.OnFile, DownloadedContent.OnTempFile`

Constructor Summary
`DownloadedContent.OnTempFile(java.io.File file)`

Method Summary
`protected void` `finalize()`

Methods inherited from class com.gargoylesoftware.htmlunit.DownloadedContent.OnFile
`getInputStream`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DownloadedContent.OnTempFile

    public DownloadedContent.OnTempFile(java.io.File file)

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.